TSPLUGINDSORELOADENABLE(3ts)

NAME
TSPluginDSOReloadEnable - control whether this plugin will take part in the remap dynamic reload process (remap.config)

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSPluginDSOReloadEnable(int enabled)

DESCRIPTION

This function provides the ability to enable/disable programmatically the plugin dynamic reloading when the same Dynamic Shared Object (DSO) is also used as a remap plugin. This overrides proxy.config.plugin.dynamic_reload_mode.

WARNING:
        This function should be called from within TSPluginInit()

    The function will return TS_ERROR in any of the following cases:

        •   The function was not called from within TSPluginInit()

        •   TS is unable to get the canonical path from the plugin's path.

SEE ALSO

TSAPI(3ts)

COPYRIGHT
2026, dev@trafficserver.apache.org